<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.mapper.check.CheckDetailsMapper">

    <select id="getList" resultType="java.util.Map">
        select pi.code,
               pi.name,
               pi.type,
               pi.unit,
               cd.inventory_quantity,
               cd.check_quantity,
               cd.result_type
        from check_details cd
                 left join product_info pi on cd.product_id = pi.id
        where cd.check_info_id = #{checkInfoId}
    </select>

</mapper>
